Show / Hide Table of Contents

# Class CriticalSection

Provides utilities for managing various critical sections.

##### Inheritance

Object
CriticalSection

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class CriticalSection

### Methods

| Improve this Doc View Source

#### EnterExecuteSection()

Enters a critical execution section. Does not nest.

##### Declaration

    public static void EnterExecuteSection()

| Improve this Doc View Source

#### EnterGCSection()

Enters a GC critical section. Each call to this must be paired with a call to ExitGCSection().

##### Declaration

    public static void EnterGCSection()

| Improve this Doc View Source

#### ExitExecuteSection()

Exits a critical execution section. Does not nest.

##### Declaration

    public static void ExitExecuteSection()

| Improve this Doc View Source

#### ExitGCSection()

Exits a GC critical section. Each call to this must have a preceding call to EnterGCSection().

##### Declaration

    public static void ExitGCSection()